[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
Re: [p2-dev] Extending classes with generics


p2-dev-bounces@xxxxxxxxxxx wrote on 01/06/2010 12:04:11 PM:
> However, I don't appear to be able to self host on a 1.4 VM. When I
> try and launch I get a variety of errors like:

>
> Caused by: java.lang.UnsupportedClassVersionError: org/eclipse/

Make sure you clean your entire workspace and let everything rebuild.
I have successfully self hosted under a 1.4 vm as well, all the pde/build tests that use p2 also pass under 1.4.

-Andrew